<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Filament\Facades\Filament;
use Illuminate\Support\Facades\Schema;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        Schema::defaultStringLength(191);   // 防止旧 MySQL 出现索引超长报错

        Filament::serving(function () {
            Filament::registerRenderHook(
                'panels::head.end',
                fn () => '<style>.filament-tables-text-column { user-select: text !important; }</style>'
            );
        });

        // 强制所有表使用 utf8mb4_0900_ai_ci
//        Schema::defaultCharset('utf8mb4');
//        Schema::defaultCollation('utf8mb4_0900_ai_ci');
    }
}
